﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace InfragisticsIssueAnalysis
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            DataTable dt = new DataTable("EmpDataTable");
            dt.Columns.Add(new DataColumn("EmpId" , typeof(string)));
            dt.Columns.Add(new DataColumn("EmpName" , typeof(string)));
            dt.Columns.Add(new DataColumn("EmpSalary" , typeof(float)));
            dt.Columns.Add(new DataColumn("EmpDayHours" , typeof(float)));
            
            //add a row
            DataRow dr = dt.NewRow();

            dr["EmpId"] = "61614";
            dr["EmpName"] = "Keerti";
            dr["EmpSalary"] = 50000;
            dr["EmpDayHours"] = 5;

            dt.Rows.Add(dr);
            ultraGrid1.DataSource = dt;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {

        }

        private void ultraGrid1_AfterCellUpdate(object sender, Infragistics.Win.UltraWinGrid.CellEventArgs e)
        {
            int nCol = e.Cell.Column.Index;
            int nRow = e.Cell.Row.Index;
            switch (nCol)
            {
                case 3:
                    SetEmpSalary(nRow , 89000);
                    SetEmpSalary(nRow , 89000);
                    break;
                default:
                    SetEmpSalary(nRow, 89000);
                    break;
            }
        }

        private void SetEmpSalary(int nRow , float salary)
        {
            ultraGrid1.Rows[nRow].Cells["EmpSalary"].Value = salary;
        }
    }
}
